@font-face {
  font-family: raj-r;
  src: url(assets/fonts/rajdhani/Rajdhani-Regular.ttf);
}

@font-face {
  font-family: raj-m;
  src: url(assets/fonts/rajdhani/Rajdhani-Medium.ttf);
}

@font-face {
  font-family: raj-b;
  src: url(assets/fonts/rajdhani/Rajdhani-Bold.ttf);
}

@font-face {
  font-family: raj-sb;
  src: url(assets/fonts/rajdhani/Rajdhani-SemiBold.ttf);
}

@font-face {
  font-family: raleway;
  src: url(assets/fonts/Raleway-VariableFont_wght.ttf);
}


* {
  --background-color: white;
  --background-color-alt: rgb(242,242,242);
  --font-color: rgb(60,60,60);
  /*--color-primary: #f21ca7;*/

  --color-primary: #f02676;
  --color-secondary: rgb(74 74 74);

  /*--color-primary: #f02676;
  --color-primary-2: #246c74;*/
  --border-width: 0.2rem;
  --border: 1px solid rgba(0,0,0,0.12);
  --shadow: 0 0 5px 1px rgba(0,0,0,0.12);
  --inset-shadow: inset 0 0 5px rgba(0,0,0,0.05);

  --pad-s: 1rem;
  --pad-l: 3rem;
}

html {
  scroll-behavior:smooth;
}

body {
  padding: 0;
  margin: 0;
}

h1 {
  font-family: raj-b;
  text-transform: uppercase;
  color: var(--font-color);
  font-size: 1.8rem;
  margin: 0;
}

h2 {
  font-family: 'raj-sb';
  margin: 0;
  font-size: 1.3rem;
}

h3 {
  font-family: 'raj-sb';
  margin: 0;
  font-size: 1rem;
}

p, li, strong {
  font-family: raleway;
  color: var(--font-color);
  margin: 0;
  line-height: 1.6em;
  font-size: 0.84rem;
}

strong {
  font-weight: bold;
}

a { 
  text-decoration: none !important;
  color: var(--font-color);
  cursor: pointer;
  font-family: raj-sb;
  text-transform: uppercase;
  color: var(--color-primary);
}

.margin-l { margin-left: var(--pad-l); }
.margin-r { margin-right: var(--pad-l); }
.margin-t { margin-top: var(--pad-l); }
.margin-b { margin-bottom: var(--pad-l); }
.margin-h { margin-left: var(--pad-l); margin-right: var(--pad-l); }
.margin-v { margin-top: var(--pad-l); margin-bottom: var(--pad-l); }

.pad-l { padding-left: var(--pad-l); }
.pad-r { padding-right: var(--pad-l); }
.pad-t { padding-top: var(--pad-l); }
.pad-b { padding-bottom: var(--pad-l); }
.pad-h { padding-left: var(--pad-l); padding-right: var(--pad-l); }
.pad-v { padding-top: var(--pad-l); padding-bottom: var(--pad-l); }

.border-v {
  border-top: var(--border);
  border-bottom: var(--border);
}

.page-width {
  max-width: 100rem;
}

.page-center {
  margin: auto;
}

.shaded {
  background: var(--background-color-alt);
}

.shadow {
  box-shadow: var(--shadow);
}

.inset-shadow {
  box-shadow: var(--inset-shadow);
}

.line-space {
  margin-bottom: 0.7rem;
}

.text-center {
  text-align: center;
}

.text-primary {
  color: var(--color-primary);
}

/*.image {
  width: 100%;
  filter: grayscale(100%);
}*/

.div-line {
  border-top: var(--border);
}

.link-anchor {
  position: relative;
  top: -4rem;
}

a.button {
  background: rgba(0,0,0,0.15);
  font-family: raj-sb;
  text-transform: uppercase;
  font-size: 1.2rem;
  color: white;
  padding: 0 0.75rem;
  height: 2.2rem;
  border-radius: 1.1rem;
  display: flex;
  align-items: center;
  cursor: pointer;
  transition: all 0.3s ease;
  pointer-events: all;
  opacity: 1;
}

a.button.primary { background: var(--color-primary); }
a.button.primary:hover { opacity: 0.8; }
a.button.secondary { background: var(--color-secondary); }
a.button.secondary:hover { background: var(--color-primary); }

section {
  margin: auto;
}

.image-container {
  background-size: cover;
  filter: grayscale(1);
  background-position: center;
}

.centre-panel {
  text-align: center;
  padding: 4rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.centre-panel > * {
  max-width: 70em;
}

/*#services-list {
  padding-left: 3rem;
}*/

#services-list li {
  list-style: none;
	position: relative;
  margin-bottom: var(--pad-l);
}

/*#services-list li::before {
  height: 2.5rem;
  width: 2.5rem;
  display: block;
  content: '';
  background-repeat: no-repeat;
  background-position: left center;
  background-size: contain;
  position: absolute;
  left: -3rem;
  top: 0.1rem;
}

#services-list li:nth-child(1)::before { background-image: url(assets/img/barbell.svg); }
#services-list li:nth-child(2)::before { background-image: url(assets/img/heart.svg); }
#services-list li:nth-child(3)::before { background-image: url(assets/img/monitor.svg); }
#services-list li:nth-child(4)::before { background-image: url(assets/img/time.svg); }

#services-list li#adventure::before { background-image: url(assets/img/adventure-2.png); }
#services-list li#strength::before { background-image: url(assets/img/strength-1.png); }
#services-list li#feeling::before { background-image: url(assets/img/feelgood-1.png); }*/

#profile-image {
  background-image: url(assets/img/profile-1.jpg);
  background-repeat: no-repeat;
  background-position: left center;
  background-size: contain;
  height: 60vh;
  flex: 0 0 60vh;
}

#reps-link {
  float: right;
  padding-right: 0.7rem;
  position: relative;
  top: 0.3rem;
  opacity: 0.9;
}

#reps-link img {
  height: 3.1rem;
}

@media screen and (min-width: 37.5rem) {

  .columns-even {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: var(--pad-l);
  }

  .gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 0.5rem;
    grid-row-gap: 0.5rem;
    grid-template-rows: repeat(2, 30rem);
    margin: 0 var(--pad-l);
  }

}

@media screen and (max-width: 37.5rem) {

  .gallery {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-column-gap: 0px;
    grid-template-rows: repeat(4, 30rem);
    grid-row-gap: 1rem;
  }
 
  
}